Bug 124993 - Perl module install of Net::Nessus fails at 'make test'
Perl module install of Net::Nessus fails at 'make test'
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 16:36 EDT by Nicholas Ritter
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-01 00:49:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Ritter 2004-06-01 16:36:53 EDT
Description of problem: installation of Net::Nessus perl module fails 
at 'make test'


Version-Release number of selected component (if applicable): 
perl-5.8.0-88-4, Nessus 2.0.10a, Net::Nessus 0.08


How reproducible: every time


Steps to Reproduce:
1. download and install Nessus 2.0.10a from Nessus web site
2. download Net::Nessus 0.08 from CPAN
3. run 'perl Makefile.PL', 'make, 'make test'
  
Actual results:

'make test' fails 

Expected results:

'make test' doesn't fail

Additional info:

cp nessusc blib/script/nessusc
/usr/bin/perl "-MExtUtils::MY" -e "MY->fixin(shift)" 
blib/script/nessusc
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-
e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/base......Net/Nessus/Message.pm did not return a true value at 
(eval 1) line 3.
 
Subroutine new redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 109.
Subroutine new redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 147.
Subroutine print redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 164.
Subroutine new redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 179.
Subroutine print redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 203.
Subroutine new redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 251.
Subroutine print redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 270.
Subroutine Plugins redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 282.
Subroutine new redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 316.
Subroutine print redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 332.
Subroutine Prefs redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 340.
Subroutine new redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 368.
Subroutine Rules redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 379.
Subroutine new redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 417.
Subroutine print redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 449.
Subroutine Host redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 467.
Subroutine Port redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 468.
Subroutine Description redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 469.
Subroutine Service redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 470.
Subroutine Proto redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 471.
Subroutine ScanID redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 472.
Subroutine Host redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 499.
Subroutine Port redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 500.
Subroutine ErrMsg redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 518.
Subroutine new redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 548.
Subroutine print redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 559.
Subroutine PluginList redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 566.
Subroutine MaxHosts redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 567.
Subroutine Recursive redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 568.
Subroutine PortRange redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 569.
Subroutine Host redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 570.
Subroutine Host redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 611.
Subroutine Plugins redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 636.
Subroutine Host redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 664.
Subroutine Action redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 665.
Subroutine Status redefined at /root/Net-Nessus-
0.08/blib/lib/Net/Nessus/Message.pm line 666.
t/base......FAILED test 1
        Failed 1/2 tests, 50.00% okay
t/client....Can't call method "Plugins" on an undefined value at 
t/client.t line 61.
t/client....dubious
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 2-31
        Failed 30/31 tests, 3.23% okay
Failed Test Stat Wstat Total Fail  Failed  List of Failed
----------------------------------------------------------------------
---------
t/base.t                   2    1  50.00%  1
t/client.t   255 65280    31   59 190.32%  2-31
Failed 2/2 test scripts, 0.00% okay. 31/33 subtests failed, 6.06% 
okay.
make: *** [test_dynamic] Error 2
Comment 1 Warren Togami 2005-10-01 00:49:59 EDT
We do not support installing arbitrary CPAN modules.  Add-on software is the
responsibliity of the user and upstream project to fix.

Note You need to log in before you can comment on or make changes to this bug.